	    $(document).ready(function() {

	    			var textobuscar=$("#textobuscar").val();
				var idusercaf=JSON.parse(localStorage.getItem("userid"));
				var fracc=localStorage.getItem("fraccionamiento");
				var cluster=JSON.parse(localStorage.getItem("cluster"));
				var urlapp=JSON.parse(localStorage.getItem("urlapp"));
				var tipouser=JSON.parse(localStorage.getItem("tipouser"));
				var valores = {iduser:idusercaf, fracc: fracc, cluster:cluster};
	    
			 
			 			//Busqueda datos de accesos por llegar
			$("#btnbuscarv").click(function() {
				var textobuscar=$("#textobuscar").val();
				var val = {textobuscar:textobuscar, iduser:idusercaf, fracc: fracc, cluster:cluster};
			    $('#accesosv2').empty();
				var enlacev = urlapp+"getAccesosvisita.php";
			$.getJSON(enlacev, val, function(data) {
				if(data.length > 0)
            $.each(data, function(i, field) {
				var numacceso= field.ACCESOV;
				var fllegada= field.FECHALLEG;
				var nombre= field.NAMECT;
                var tipocod = field.ES;
				var paset = field.TPASEV;
				var tacceso = field.TACCESOV;
               $("#accesosv2").append("<li><section class='resultLeft'><h3>#" + numacceso + "<br>" + nombre + "</h3><p>"+ fllegada +"<br/>"+ paset +"</p><span>"+ tacceso +"<br/>"+tipocod+"</span></section><section class='resultRight'><a class='fre-gr-btn' href='codigoqr.html?numacceso="+ numacceso+"&tvalida=ENTRADA'><img src='img/bactive.png'></a></section></li>"); 
                    });
       			else{
       			$("#accesosv2").append("<li><section class='resultLeft'><h3>NO EXISTEN RESULTADOS PARA LA BÚSQUEDA</h3></section></li>"); 	
       			}
            });
             $("#tablavisitas").hide();
			 });

						 			//Busqueda de datos de accesos sin salir
			$("#btnbuscarv2").click(function() {
			var textobuscar=$("#textobuscar").val();
			var val = {textobuscar:textobuscar, iduser:idusercaf, fracc: fracc, cluster:cluster};
			    $('#accesoss2').empty();
				var enlace = urlapp+"getAccesossinsalir.php";
			$.getJSON(enlace, val, function(data) {
				if(data.length > 0)
            $.each(data, function(i, field) {
				var numacceso= field.ACCESOV;
				var fllegada= field.FECHALLEG;
				var nombre= field.NAMECT;
                var tipocod = field.ES;
				var paset = field.TPASEV;
				var tacceso = field.TACCESOV;
               $("#accesoss2").append("<li><section class='resultLeft'><h3>#" + numacceso + "<br>" + nombre + "</h3><p>"+ fllegada +"<br/>"+ paset +"</p><span>"+ tacceso +"<br/>"+tipocod+"</span></section><section class='resultRight'><a class='fre-gr-btn' href='codigoqr.html?numacceso="+ numacceso+"&tvalida=SALIDA'><img src='img/binactive.png' alt='Dar Salida'></a></section></li>"); 
       			 });
       		else{
       			$("#accesoss2").append("<li><section class='resultLeft'><h3>NO EXISTEN RESULTADOS PARA LA BÚSQUEDA</h3></section></li>"); 	
       			}
            });
             $("#tablavisitas2").hide();
			 });
			 
			 
			 			//Buscar empresas
			$("#buscarempre").click(function() {
			var textobuscar=$("#textobuscar").val();
			var val = {textobuscar:textobuscar, iduser:idusercaf, fracc: fracc, cluster:cluster};
			    	$('#resultadoemp').empty(); //Limpiar html con resultados anteriores
				var enlacee = urlapp+"getTablaEmpresa.php";
			$.getJSON(enlacee, val, function(data) {
				if(data.length < 0)
            $.each(data, function(i, field) {
				var idemp= field.idemp;
                var rsocial = field.rsocial;
				var giro = field.giro;
               $("#resultadoemp").append("<li><section class='resultLeft'><a class='fre-gr-btn' href='r-qr.html?idemp=" + idemp+ "'><img src='img/green-qr-icn.png'></a></section><h3>" + rsocial + 
			"</h3><span>"+ giro + "</span><section class='resultRight'></section></li>"); 
                    });
        else{
       			$("#accesoss2").append("<li><section class='resultLeft'><h3>NO EXISTEN RESULTADOS PARA LA BÚSQUEDA</h3></section></li>"); 	
       			}
            });
            $("#tablaempresas").hide();
			 });
			 
			 
			//Obtener tabla empresas
			var url = urlapp+"getTablaEmpresa.php";
			$.getJSON(url, valores, function(data) {
            $.each(data, function(i, field) {
				var idemp= field.idemp;
                var rsocial = field.rsocial;
				var giro = field.giro;
               $("#resultado").append("<li><section class='resultLeft'><a class='fre-gr-btn' href='r-qr.html?idemp=" + idemp+ "'><img src='img/green-qr-icn.png'></a></section><h3>" + rsocial + 
			"</h3><span>"+ giro + "</span></li>"); 
                    });
            });
			
			
						//Obtener accesos por llegar
			var url = urlapp+"getAccesosvisita.php";
			$.getJSON(url, valores, function(result) {
					if(result.length > 0)
            $.each(result, function(i, field) {
				var numacceso= field.ACCESOV;
				var fllegada= field.FECHALLEG;
				var nombre= field.NAMECT;
                var tipocod = field.ES;
				var paset = field.TPASEV;
				var tacceso = field.TACCESOV;
               $("#accesosv").append("<li><section class='resultLeft'><h3>#" + numacceso + "<br>" + nombre + "</h3><p>"+ fllegada +"<br/>"+ paset +"</p><span>"+ tacceso +"<br/>"+tipocod+"</span></section><section class='resultRight'><a class='fre-gr-btn' href='codigoqr.html?numacceso="+ numacceso+"&tvalida=ENTRADA'><img src='img/bactive.png'></a></section></li>"); 
                    });
       else{
       			$("#accesosv").append("<li><section class='resultLeft'><h3>NO HAY ACCESOS POR LLEGAR AÚN</h3></section></li>"); 	
       			}
            });

									//Obtener accesos sin salir
			var ur2 = urlapp+"getAccesossinsalir.php";
			$.getJSON(ur2, valores, function(result) {
				if(result.length > 0)
            $.each(result, function(i, field) {
				var numacceso= field.ACCESOV;
				var fllegada= field.FECHALLEG;
				var nombre= field.NAMECT;
                var tipocod = field.ES;
				var paset = field.TPASEV;
				var tacceso = field.TACCESOV;
               $("#accesoss").append("<li><section class='resultLeft'><h3>#" + numacceso + "<br>" + nombre + "</h3><p>"+ fllegada +"<br/>"+ paset +"</p><span>"+ tacceso +"<br/>"+tipocod+"</span></section><section class='resultRight'><a class='fre-gr-btn' href='codigoqr.html?numacceso="+ numacceso+"&tvalida=SALIDA'><img src='img/binactive.png'></a></section></li>"); 
                    });
        else{
       			$("#accesoss").append("<li><section class='resultLeft'><h3>NO HAY ACCESOS POR SALIR AÚN</h3></section></li>"); 	
       			}
            });

				        			//Buscar mensajes
					$("#btnbuscar").click(function() {
			       $('#mensajes').empty();
				var textobuscar=$("#textobuscar").val();		        
				var val = {textobuscar:textobuscar, iduser:idusercaf, fracc: fracc, cluster:cluster};
				var enlaceb = urlapp+"getBuscaravisos.php";
			$.getJSON(enlaceb, val, function(data) {
				if(data.length < 0)
            $.each(data, function(i, field) {
				var autor = field.NOMBRE;
				var idmensaje = field.IDAVISOSG;
                var mensaje = field.TITULO;
				var fecha = field.FECHAINICIO;
				var creado = field.CREATEAV;
				 $("#mensajes").append("<li><a class='fre-gr-btn' href='aviso-detalle.html?aviso="+ idmensaje +"'><section class='resultLeft'><h3>" + mensaje + "</h3><p>AUTOR: "+ autor +"<br/>PUBLICADO: "+ fecha +"</p><span>CREADO: "+ creado +"</span></section></a></li>"); 
                    });
		else{
			$("#mensajes").append("<li><section class='resultLeft'><h3>NO EXISTEN RESULTADOS PARA LA BÚSQUEDA</h3></section></li>>"); 
           }     
			 });
			 $("#tablaavisos").hide();
			});
			 
			 			//Obtener mensajes
			var enlace = urlapp+"getBuscaravisos.php";
			$.getJSON(enlace, valores, function(data) {
            $.each(data, function(i, field) {
				var autor = field.NOMBRE;
				var idmensaje = field.IDAVISOSG;
                var mensaje = field.TITULO;
				var fecha = field.FECHAINICIO;
				var creado = field.CREATEAV;
               $("#mensajes2").append("<li><a class='fre-gr-btn' href='aviso-detalle.html?aviso="+ idmensaje +"'><section class='resultLeft'><h3>" + mensaje + "</h3><p>AUTOR: "+ autor +"<br/>PUBLICADO: "+ fecha +"</p><span>CREADO: "+ creado +"</span></section></a></li>"); 
                    }); 
			
            });
			
        });